package com.ruoyi.project.shiftmgr.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 排班计划管理对象 t_shift_roster
 *
 * @author ssy
 * @date 2024-08-19
 */
public class TShiftRoster extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id
 */
    private Long id;

    /** 排班日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "排班日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date shiftDate;

    /** 白班 */
    @Excel(name = "白班")
    private String dclass;

    /** 夜班 */
    @Excel(name = "夜班")
    private String nclass;

    /** 周 */
    @Excel(name = "周")
    private Long week;

    /** 状态，0：正常；2：删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;
    private String deptName;

    /** 节假日 */
    @Excel(name = "节假日")
    private Long vacation;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setShiftDate(Date shiftDate)
    {
        this.shiftDate = shiftDate;
    }

    public Date getShiftDate()
    {
        return shiftDate;
    }
    public void setDclass(String dclass)
    {
        this.dclass = dclass;
    }

    public String getDclass()
    {
        return dclass;
    }
    public void setNclass(String nclass)
    {
        this.nclass = nclass;
    }

    public String getNclass()
    {
        return nclass;
    }
    public void setWeek(Long week)
    {
        this.week = week;
    }

    public Long getWeek()
    {
        return week;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setVacation(Long vacation)
    {
        this.vacation = vacation;
    }

    public Long getVacation()
    {
        return vacation;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("shiftDate", getShiftDate())
            .append("dclass", getDclass())
            .append("nclass", getNclass())
            .append("week", getWeek())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("vacation", getVacation())
            .toString();
    }
}
